@echo off
REM ---------------------------------------------------------------------
REM
REM -- ELM4WAF.BAT Version 1.0 Copyright (C) 1992 by Ian Justman
REM
REM This batchfile is used to invoke the needed files to get PCElm to
REM work properly with Waffle 1.65's mailbox files.  Please also note
REM that you will need to be able to swap Waffle in and out of memory as
REM after your command interpreter and ELM are loaded, you may not have
REM ample memory to run RMAIL.  Please see the documentation for more
REM details.
REM
REM              *   *   *  N   O   T   E  *   *   *
REM Please, try not to change this file.  Please try to make all needed
REM changes in the /waffle/extern/elm file.  If you must alter this
REM file, you may also need to change the /waffle/extern/elm file to re-
REM flect those changes
REM
REM Arguments are as follows:
REM %1=Drive on which user directories reside.  Ex.  D:
REM %2=Path leading to the user's home directory surrounded by back-
REM    slashes.  Ex.  \user\
REM %3=Login.    Ex. ianj
REM %4-%?=Real name.  Had to use multiple arguments because a space
REM       delimits each argument, and if, for example the %W passed
REM       said the name was "Marilyn vos Savant" and there was only
REM       %4 to handle it, only "Marilyn" would be passed.  In this
REM       case, since I have 5 additional parameters, I can have up
REM       to 5 words for the real name, but it can be expanded if
REM       need be, depending on the command processor.  With the 5
REM       variables in place, using the aforementioned example,
REM       %4 would be "Marilyn", %5 would be "vos", and %6 would be
REM       "Savant".  And when the environment variable "name" is set,
REM       the variable tokens must be separated with spaces or you will
REM       have something like "MarilynvosSavant".
REM
REM ---------------------------------------------------------------------
if not exist %1%2%3\mailbox.f goto startup
waf2elm %1%2%3\mailbox.f %1%2%3\%3.elm
del %1%2%3\mailbox.f
del %1%2%3\mailbox.i
:startup
set home=%1%2%3
set name=%4 %5 %6 %7 %8
set mailbox=%3
set maildir=%home%
set user=%mailbox
%1
cd %2%3
pcelm
popd
