@echo off
REM ---------------------------------------------------------------------
REM
REM -- REINDEX.BAT Version 1.0 Copyright (C) 1992 by Ian Justman
REM
REM This batchfile is used to reindex a newly-reverted-from-Elm mailfile.
REM It is called after conversion of an Elm-type mailbox back to a Waffle
REM mailbox in the /waffle/extern/revert extern file.  It can also be
REM used to reindex an already-existing mailbox file whose index file got
REM somehow phr00dged.
REM
REM              *   *   *  N   O   T   E  *   *   *
REM Please, try not to change this file.  Please try tomake all needed
REM changes in the /waffle/extern/reindex file.  If you must alter this
REM file, you may also need to change the /waffle/extern/reindex file to
REM reflect those changes
REM
REM Arguments are as follows:
REM %1=Drive on which user directories reside.  Ex.  D:
REM %2=Path leading to the user's home directory surrounded by back-
REM    slashes.  Ex.  \user\
REM %3=Login.    Ex. ianj
REM
REM ---------------------------------------------------------------------
if exist %1%2%3\mailbox.f goto reindex
echo The mailbox file you're trying to reindex does not exist.
goto end
:reindex
makebox -i %1%2%3\mailbox.f
:end
